Package: grails.web.mapping

## [Java] Interface UrlMappingEvaluator

-     public interface UrlMappingEvaluator

  Evaluates URL mapping from the given Spring Resource or class.

  See Also:
    UrlMapping
    UrlMappingInfo
  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.List<UrlMapping>` | `evaluateMappings(org.springframework.core.io.Resource resource)` Evaluates URL mapping from the give Spring Resource
    `` | `public java.util.List<UrlMapping>` | `evaluateMappings(java.lang.Class theClass)` Evaluates mapping from the given class if possible
    `` | `public java.util.List<UrlMapping>` | `evaluateMappings(groovy.lang.Closure closure)` Evaluates mapping from the given closure if possible

- - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.List<UrlMapping> evaluateMappings(org.springframework.core.io.Resource resource)

      Evaluates URL mapping from the give Spring Resource

      Parameters:
        `resource` - The Spring Resource to evaluate mapping from
      Returns:
        A list of UrlMapping instances

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.List<UrlMapping> evaluateMappings(java.lang.Class theClass)

      Evaluates mapping from the given class if possible

      Parameters:
        `theClass` - The class to evaluate mapping from
      Returns:
        A list of UrlMapping instances

    - #### @java.lang.SuppressWarnings("rawtypes") public java.util.List<UrlMapping> evaluateMappings(groovy.lang.Closure closure)

      Evaluates mapping from the given closure if possible

      Parameters:
        `closure` - The closure to evaluate mapping from
      Returns:
        A list of UrlMapping instances